package eu.mhsl.craftattack.worldmuseum.listener;

import eu.mhsl.craftattack.worldmuseum.worlds.World;
import eu.mhsl.craftattack.worldmuseum.worlds.WorldManager;
import net.minestom.server.entity.Player;
import net.minestom.server.event.player.PlayerUseItemEvent;
import net.minestom.server.item.ItemStack;
import java.util.function.Consumer;

public class ClickListener implements Consumer<PlayerUseItemEvent> {

    @Override
    public void accept(PlayerUseItemEvent playerUseItemEvent) {
        Player p = playerUseItemEvent.getPlayer();
        ItemStack usedItem = playerUseItemEvent.getItemStack();

        for (int i = 0; i < WorldManager.getInstance().getWorlds().size(); i++) {
            World world =  WorldManager.getInstance().getWorlds().get(i);

            if (world.getItem().equals(usedItem)) {
                if (p.getInstance().equals(world)) {
                    tpToSpawn(p, world);
                    return;
                };
                p.setInstance(world, world.getSpawn());
            }
        }

    }
    private void tpToSpawn(Player player, World world) {
        player.teleport(world.getSpawn());
    }
}
